﻿
@model PaginatedList<MovieDb.Data.Models.Movie>
@{
    ViewData["Title"] = "Show all movies";
}
<h3>@ViewData["Title"]</h3>

<table class="table table-hover" id="forumIndexTable">

    <tbody>
        @foreach (var movie in Model)
        {
            <tr>
                <td>
                    <img src="@movie.ImageURL" alt="" width="150">
                </td>
                <td>
                    <a asp-controller="Movie" asp-action="Details" asp-route-id="@movie.Id">
                        <h3><strong>@movie.Title</strong></h3>
                    </a>
                    @if (movie.Rating == null)
                    {
                        <p><strong>Title:</strong> @movie.Title</p>
                        <p><strong>Release Date:</strong> @movie.ReleaseDate.ToString("dd MMMM yyyy")</p>
                        <p><strong>Duration:</strong> @movie.Duration min</p>
                    }
                    else
                    {
                        <p><strong>Title:</strong> @movie.Title</p>
                        <p><strong>Release Date:</strong> @movie.ReleaseDate.ToString("dd MMMM yyyy")</p>
                        <p><strong>Duration:</strong> @movie.Duration min</p>
                        <p><strong>IMovieDb rating:</strong> @movie.Rating</p>
                    }
                </td>
            </tr>
        }
    </tbody>
</table>

@{
    var prevDisabled = !Model.HasPreviousPage ? "disabled" : "";
    var nextDisabled = !Model.HasNextPage ? "disabled" : "";
}

<a asp-action="ShowAllMovies"
   asp-route-pageNumber="@(Model.PageIndex - 1)"
   class="btn btn-default @prevDisabled">
    Previous
</a>
<a asp-action="ShowAllMovies"
   asp-route-pageNumber="@(Model.PageIndex + 1)"
   class="btn btn-default @nextDisabled">
    Next
</a>